Bug 1512992 (CVE-2017-11770) - CVE-2017-11770 .NET Core: DoS via bad certificate
Summary: CVE-2017-11770 .NET Core: DoS via bad certificate
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2017-11770
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1513080 1513081 1513082
Blocks: 1512757
TreeView+ depends on / blocked
 
Reported: 2017-11-14 14:55 UTC by Trevor Jay
Modified: 2021-02-17 01:14 UTC (History)
8 users (show)

Fixed In Version: dotnetcore 1.0.7, dotnetcore 1.1.4, dotnet 2.0.3
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-01 11:40:25 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3248 0 normal SHIPPED_LIVE Low: .NET Core security update 2017-11-30 21:45:28 UTC

Description Trevor Jay 2017-11-14 14:55:38 UTC
Supplying a specially crafted certificate can cause an infinite X509Chain, resulting in a denial of service.

Comment 2 errata-xmlrpc 2017-11-20 11:46:21 UTC
This issue has been addressed in the following products:

  dotNET on RHEL

Via RHSA-2017:3248 https://access.redhat.com/errata/RHSA-2017:3248

Comment 4 Tomas Hoger 2017-12-01 11:40:55 UTC
External References:

https://github.com/dotnet/announcements/issues/44


Note You need to log in before you can comment on or make changes to this bug.